<a href="https://www.mapbox.com">
  <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/b/b4/Mapbox_Logo.svg/1280px-Mapbox_Logo.svg.png" width="500"/>
</a>

# Mapbox Visual for Microsoft Power BI

Make sense of your big & dynamic location data with the Mapbox Visual for Power BI.  Quickly design high-performance map visuals using graduated circles, clusters, and interactive heatmaps.  Even customize your Mapbox visual with custom shapes, imagery, and design using [Mapbox Studio](www.mapbox.com/studio).  Check out the [Mapbox Gallery](https://www.mapbox.com/gallery/) to get a sense of what's possible with Studio.

Comming soon as a PowerBI Custom Visual to the Microsoft Office Store.

![](https://dl.dropbox.com/s/kymonz28oanehje/PowerBI-2.gif)

### Examples

* [Example Dashboard - NYC Cycling Incidents](https://www.mapbox.com/bites/00369)
* [Example Dashboard - 2017 USGS Earthquakes](https://app.powerbi.com/view?r=eyJrIjoiNTlkMzA5N2MtNGU0ZS00MDY5LTg1NTktNTZkODkyMmJjOThmIiwidCI6IjYyOWE3MGIyLTMyYjktNDEyNi05NTFlLTE3NjA0Y2Y0NTZlYyIsImMiOjF9)

### Support
The Mapbox Visual for Power BI supports:

* Power BI Desktop 
* Power BI Online using **Chrome or Firefox** browsers.
    - We are actively working on a solution for [IE11 & Edge](https://github.com/mapbox/mapboxgl-powerbi/issues/48) browser support

### Adding MapboxGL Viz to a Power BI Dashboard

On Power BI Online, add the [dist/mapboxGLMap.pbiviz](https://github.com/mapbox/mapboxgl-powerbi/raw/master/dist/mapboxGLMap.pbiviz) file in this repository as a custom visual in your report.  Follow the same process in Power BI desktop.

![](https://cl.ly/3303070u081q/download/Image%202017-09-01%20at%203.47.52%20PM.png)

## What is Mapbox?

Mapbox is the location data platform for mobile and web applications. We provide [building blocks](https://www.mapbox.com/products/) to add location features like maps, search, and navigation into any experience you create. Use our simple and powerful APIs & SDKs and our open source libraries for interactivity and control.

## Sign up for Mapbox

Not a Mapbox user yet? [Sign up for an account here](https://www.mapbox.com/signup/). Once you’re signed in, all you need to start building with Power BI is a Mapbox access token. 

### Developing

Please see [contributing.md](CONTRIBUTING.md)

### Screenshots

![](./assets/mapbox-viz-screenshot-1-min.png)
![](./assets/mapbox-viz-screenshot-2-min.png)
![](./assets/mapbox-viz-screenshot-3-min.png)
![](./assets/mapbox-viz-screenshot-4-min.png)
